org.intellij.lang.annotations

## Annotation Type Language

    @Retention(value=CLASS)
     @Target(value={METHOD,FIELD,PARAMETER,LOCAL_VARIABLE,ANNOTATION_TYPE})
    public @interface Language

### Required Element Summary

Required Elements
`java.lang.String` `value`

### Optional Element Summary

Optional Elements
`java.lang.String` `prefix`
`java.lang.String` `suffix`

### Element Detail

#### value

    @NonNls
    public abstract java.lang.String value

#### prefix

    @NonNls
    public abstract java.lang.String prefix

Default:
  ""

#### suffix

    @NonNls
    public abstract java.lang.String suffix

Default:
  ""